%define		_state		stable
%define		orgname		gwenview
%define		qtver		4.8.3

Summary:	K Desktop Environment - Simple image viewer
Summary(pl.UTF-8):	K Desktop Environment - Prosta przeglądarka obrazków
Name:		kde4-gwenview
Version:	4.10.5
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	1f2e37e8fae38cf5e6e82ef7625aaa46
URL:		http://www.kde.org/
BuildRequires:	kde4-kdebase-devel
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	kde4-libkipi-devel >= %{version}
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
Obsoletes:	gwenview <= 4.8.0
Obsoletes:	kde4-kdegraphics-gwenview < 4.6.100-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide
easy navigation in your file hierarchy. Image loading is done by the
Qt library, so it supports all image formats your Qt installation
supports.

%description -l pl.UTF-8
Gwenview to przeglądarka obrazków dla KDE. Ma okno z drzewem katalogów
oraz okno z listą plików w celu zapewnienia łatwej nawigacji w
hierarchii plików. Wczytywanie obrazków jest wykonywane przez
bibliotekę Qt, więc przeglądarka obsługuje wszystkie formaty
obsługiwane przez zainstalowaną wersję Qt.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gwenview
%attr(755,root,root) %{_bindir}/gwenview_importer
%attr(755,root,root) %{_libdir}/libgwenviewlib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgwenviewlib.so.?
%attr(755,root,root) %{_libdir}/kde4/gvpart.so
%{_datadir}/apps/gwenview
%{_datadir}/apps/gvpart
%{_datadir}/kde4/services/gvpart.desktop
%{_datadir}/kde4/services/ServiceMenus/slideshow.desktop
%{_desktopdir}/kde4/gwenview.desktop
%{_datadir}/apps/solid/actions/gwenview_importer.desktop
%{_datadir}/apps/solid/actions/gwenview_importer_camera.desktop
%{_iconsdir}/*/*/actions/document-share.png
%{_iconsdir}/*/*/apps/gwenview.png
%{_iconsdir}/*/scalable/apps/gwenview.svgz
%{_iconsdir}/*/scalable/actions/document-share.svgz
%{_kdedocdir}/en/gwenview
%changelog
* Sun Nov 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-gwenview.git;a=log;h=KDE_4_10

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> df97d58
- rel 2

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 15044b5
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> e300b9c
- updated to 4.10.4 (by update-kde4.sh)

* Sun May 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c6e4a1e
- up to 4.10.3

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 747b8a3
- up to 4.10.2

* Fri Mar 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e1b0af
- up to 4.10.1

* Thu Jan 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 90f0c24
- up to 4.10.0

* Sat Jan 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4adbf90
- up to 4.9.5

* Sun Dec 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d896739
- up to 4.9.4

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> f936615
- release 2 (by relup.sh)

* Sat Nov 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a95cc20
- up to 4.9.3

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 638830d
- up to 4.9.2

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> 5f57f01
- updated to 4.9.1.

* Tue Aug 28 2012 Jan Rękorajski <baggins@pld-linux.org> a6965cb
- Obsolete kde4-kdegraphics-gwenview-4.6.100-1
Release 2

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ff73f29
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9271240
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 925093c
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d5afc4c
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c6646e4
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c9d774e
- up to 4.8.1

